mallow docs
v2 (Beta)TransactionsExternal Vendors

Magic Eden buy quote

GET
/v2/magic-eden/quote

Selects the tracked M2 order for a mint, validates its chain state and escrow, and quotes separate payment-currency and SOL debits. Unavailable or unsupported orders return an explicit reason.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

mintAccount*string
Match^[1-9A-HJ-NP-Za-km-z]{32,44}$
buyer*string
Match^[1-9A-HJ-NP-Za-km-z]{32,44}$

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/magic-eden/quote?mintAccount=string&buyer=string"
{  "result": {    "available": true,    "reason": "string",    "quote": {      "orderId": "string",      "revision": 0,      "mintAccount": "string",      "seller": "string",      "currencyMint": "string",      "sellerPrice": "string",      "creatorRoyalty": "string",      "magicEdenFee": "string",      "mallowFeeLamports": "string",      "networkFeeLamports": "string",      "rentLamports": "string",      "totalPaymentAmount": "string",      "totalSolDebitLamports": "string",      "expiresAt": "2019-08-24T14:15:22Z",      "currencySymbol": "string",      "currencyDecimals": 0,      "buyerPaymentBalance": "string",      "buyerSolBalanceLamports": "string"    }  }}